| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::DClickLabel Class Reference
Inheritance diagram for Digikam::DClickLabel:

## Signals
void | activated ()
| Emitted when activated, by mouse or key press.
void | leftClicked ()
| Emitted when activated by left mouse click.

## Public Member Functions
| DClickLabel (const QString &text, QWidget *const parent=nullptr)
| DClickLabel (QWidget *const parent=nullptr)

## Protected Member Functions
void | keyPressEvent (QKeyEvent *event) override
void | mousePressEvent (QMouseEvent *event) override
void | mouseReleaseEvent (QMouseEvent *event) override